ini_open("zhelper.ini");
global.win_scale = ini_read_real("options", "win_scale", 2);
window_set_size(256 * global.win_scale, 208 * global.win_scale);
window_center();
global.show_outline = ini_read_real("options", "show_outline", 1);
global.show_indicators = ini_read_real("options", "show_indicators", 1);
global.playername = ini_read_string("options", "playername", "");
if(global.playername == ""){
    dr_03 = get_string_async("Enter your player name below. It should be 16 characters or less.", "");
}
global.playercolor = ini_read_real("options", "playercolor", c_white);
global.dgn_finder_delay = ini_read_real("options", "dgn_finder_delay", 5);
global.hotkeys_enable = ini_read_real("options", "hotkeys_enable", 0);
global.hotkeys_enable_global = ini_read_real("options", "hotkeys_enable_global", 0);
global.hotkeys_user_version = ini_read_real("options", "hotkeys_user_version", 0);
global.srl_mode = ini_read_real("options", "srl_mode", 1);
global.srl_warn_accepted = ini_read_real("options", "srl_warn_accepted", 0);
global.dgn_item_style = ini_read_real("options", "dgn_item_style", 0);

global.server_audio_alerts = ini_read_real("server", "server_audio_alerts", 1);

//read hotkey/icon settings
//overworld
for(i = 0; i < sprite_get_number(s_icon_overworld) - 1; i += 1){
    global.icon_enable_ow[i] = ini_read_real("icons", "icon_ow_" + string(i), 1);
    global.icon_hotkey_ow[i] = ini_read_real("hotkeys", "hotkeys_ow_" + string(i), -1);
}

//dungeon
for(i = 0; i < sprite_get_number(s_icon_dungeon) - 1; i += 1){
    global.icon_enable_dgn[i] = ini_read_real("icons", "icon_dgn_" + string(i), 1);
    global.icon_hotkey_dgn[i] = ini_read_real("hotkeys", "hotkeys_dgn_" + string(i), -1);
}

//doors
for(i = 0; i < sprite_get_number(s_btn_tr_dungeon_door_h) - 1; i += 1){
    global.icon_enable_door[i] = ini_read_real("icons", "icon_door_" + string(i), 1);
    global.icon_hotkey_door[i] = ini_read_real("hotkeys", "hotkeys_door_" + string(i), -1);
}

ini_close();
